Bug 57804 - Installer Hangs when updating lilo
Summary: Installer Hangs when updating lilo
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-23 22:40 UTC by Seth Bardash
Modified: 2015-01-07 23:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 20:28:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Seth Bardash 2001-12-23 22:40:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
When updating 7.2 from distribution 2.4.7-10 to 2.4.9-13 the up2date util 
runs fine until it tries to fix the entries in lilo.conf and test them. 
The updater either hangs (watch on screen forever) or comes back and 
states that the lilo config has failed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH 7.2
2.run up2date
3.
	

Actual Results:  Same as stated above. BTW, the same unit fails when using 
grub - see note in grub bug listing

Expected Results:  Should update lilo.conf and say completed update. On 
next boot it should give a list of both 2.4.7-10 and 2.4.9-13 on boot 
screen. Other machines do this properly.

Additional info:

Super Micro 370 DLE MB, Intel P3 733M Single CPU (board supports duals), 
256 MB RECC, 20 MB HD hda, CD hdc, serverworks chipset, latest BIOS, 
chipset runs both IDE disks at UDMA 2 and PIO 4

grub fails on this machine at loading stage 2...

lilo works fine once the lilo.conf file is updated with new kernel info

Comment 1 Adrian Likins 2002-01-07 23:35:55 UTC
Could I get a copy of the lilo.conf? Preferably a copy of it at the time
up2date was ran.

Comment 2 Seth Bardash 2002-05-08 21:50:22 UTC
lilo.conf is the standard file. No changes were made from initial install.

Comment 3 Adrian Likins 2004-04-05 20:28:39 UTC
Lots of changes to grub and lilo sense then, closing.
Reopen if current versions still have problems.


Note You need to log in before you can comment on or make changes to this bug.